Subject: Re: 2.0.35 for Brutus

From: Nicolas Pitre <[email-masked]>
Date: Tue, 15 Sep 1998 16:43:00 -0400 (EDT)

On Tue, 15 Sep 1998, Hugo Fiennes wrote:

> On Mon 14 Sep, Nicolas Pitre wrote:
> > P.S: the patch against latest 2.0.35 ARM Linux tree is available at
> > ftp.cam.org/users/nico/
> > 
> > P.P.S: hope this time I'll get AT LEAST one response... :)
> 
> Ah, but this one isn't helpful:
> 
> I can't get it compiling - the .3 patch applied fine, but even after
> fiddling (needed CONFIG_FB_SIZE_H/V/BPP stuff) it still falls over with
> 'processor does not support halfwords' type stuff in ll_char_wr.S -
> playing with it doesn't seem to help (ie, different -m options).
> 
> What components are you using? I'm on arm-unknown-linuxaout 2.7.2.2 gcc
> (cross compiler) and arm-unknown-linuxaout 2.9.1.0.7 binutils.
> 
> Anything you can suggest?

Make line 47 of linux/arch/arm/Makefile look like this:

CFLAGS_PROC     += -m6 -Wa,-mall

(add the "-Wa,-mall")

Nicolas Pitre, B. ing.
[email-masked]

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]